
// Standard headers for all XModules (change the definition of XMODKIT_DIR in
// the Makefile to the directory where these are located) 
#import "XModule.h"
#import "XModule_defs.h"
#import "Value.h"


@interface PlotterXModule : XModule
{
	id		myNewPlotWindow;
	id		myNewPlotView;
}

// Creating and Initializing the XModule instance
- init;
- free;

// Standard XModule methods that will be over-ridden in most cases
+ (const char *)moduleName;
+ (const char **)xCmdsAndFcns;
- prepareToExecuteHandlers;
- executeHandler:(NXAtom)handlerName;

// Some helpful stuff for loading interface data and other resources
+ finishLoading:(struct mach_header *)header;
- loadInterfaceData;

// XModule methods
- plot;
- clearPlotWindow;
- setPlotWindowTitle;
- closePlotWindow;
- plotPoints;
- pv_version;

- windowWillClose:sender;

@end
